Contents

 Contents zip package:
- readme.txt: basic info
- install.txt: install info
- faketwin.exe: the unregistered executable
- faketwin.chm: the help-file including the manual
- faketwin.ico: icon file
- several txt-files including all kinds of help, for the case you are unable to read the .chm-file.


Introducing Faketwin

 If we would describe Faketwin in one short line then it would be:
It copies a complete directory structure but makes the files fake.

It is a program, with which you can create a fake copy of a directory. Fake means that the files in the copy will either be empty or the contents will be filled with spaces.

It is especially made for professional users who can use this for summarizing or monitoring reasons.


Requirements

 Software requirements are low. It should suffy you have Windows 95 or higher. Higher versions of Windows should be compatible but one never knows with operating systems... .
To work with CD's you should have a program like DirectCd from Roxio (former Adaptec). For DVD you could use InCD from Nero.
Hardware requirements are nihil; the slowest Pentium will be more than enough and the needed hard disk free space is about 1MB only... .


Install/Remove

  • Unregistered version
    There is an automatic installation available. Just follow the instructions during install. An icon will be placed on your desktop + it will be added to the Windows start menu. (Remark that the installer could say there is 2048MB free while there is even more free space... just ignore that)

    If install fails for some reason then you can also manually put all the files from the zip-file (see website) into one directory, for instance: c:\Program Files\Faketwin and then run Faketwin.exe.

  • Registered version
    Simply replace the old Faketwin.exe (not the installer!) with the one you got by E-mail.
Always keep files together in the installation directory.

To remove the software, use the uninstall option, available via for instance the Windows start menu. Please remove eventually manually remaining '.ini' and '.his' files.


How it works - short

 1) Choose a source:
The source is a single directory which eventually includes subdirectories. You can select by using the selection panel and then clicking 'add selected' in the source panel.
You can also use the file menu: Source folder - Enter... .
Once you made selections you are recommended to use the quick history menu in the file menu for selecting the same folders again later on!

2) Choose a destination:
Select the destination folder similarly as the source folder.
Remark that the folder that you select is infact the parent folder for the twin. An example:
Suppose you select as source folder
C:\My Documents

... and as destination (parent) folder
C:\My FakeTwinCopies

... then the actual twin will be automatically named something like:
C:\My FakeTwinCopies\faketwin_of_C_-my Documents

3) Hit the run button
The actual twin folder is made now and the subfolder and empty files are created taking into account some options.


Main options

 Via Options in the main menu you access the main options of the program.
  • Default source - default destination
    On start-up of FakeTwin these will be entered automatically.
  • Store file sizes
    You can choose this option to put in every empty file the file size of the original... . Then the file infact is not empty anymore... but of course the data of the original file is still missing; the twin is still fake, but you store also its size.
    When storing files sizes, the names in the twin will get an extra extension: at the tail, .txt will be added. This will make it easy to check the size (double-click and Notepad or a similar program should open the fake file, revealing the size).
  • Fill twins
    Choose this option if you prefer to have twin files which have exactly the same size as the originals. The twins will be filled with spaces.
  • Overwrite old twins
    Normally twins are not overwritten as during every run copies will be made like:
    C:\My FakeTwinCopies\faketwin1_of_C_-my Documents
    C:\My FakeTwinCopies\faketwin2_of_C_-my Documents
    C:\My FakeTwinCopies\faketwin3_of_C_-my Documents
    ... (watch the number)
    When overwrite is checked then expect something like
    C:\My FakeTwinCopies\faketwin_of_C_-my Documents


Tips, tricks and notes

- In order to open/view quickly an existing file, you can double-click on the file in the selection panel.
- Double clicking on a folder path in the source or destination edit boxes will cause the built-in explorer to select the folder and so let you view quickly its contents.
- Click with the right mouse button on the selection panel to create or remove an empty folder.
- Experiment with and use the reporting and log functions as needed


Agreement

 Using this software supposes you understand and agree with this: There is a non-registered version of the program which can be distributed freely but which includes some limitations. All features can and should be tested by the user before he decides to buy the other, registered version. Registered program may not be spread and will include some of your personal info. This is relatively small and low cost software which causes that it is difficult to give lots of user support. Eventual questions, complaints etc... can be sent, but only by E-mail. There is no guarantee when and if there will be a reaction; normally however you get a reaction within one day. This depends on importancy level and time availability. Follow instructions in documentation carefully and always check our website for the most recent information.
Shareware Hangvogel is not responsible for any harm caused by this program in a direct or indirect manner. Using the program is accepting this statement.


Shareware Hangvogel - contact info

 Normally all info should be available on the website.
Website: http://hangvogel.fly.to
Online meetings: see website
E-mail: hangvogel@pandora.be
Emergency E-mail (use only when problems with above E-mail): hangvogel@yahoo.com


Languages (Français, Deutsch, Nederlands...)

 The program is only available in English and there are no plans to change this in near future.
What concerns the documentation however, it is certainly possible that translations will be available on website in future.

FRANCAIS: Il y a une chance que de la documentation sera disponible en français. Questions peuvent être posées en français.
DEUTSCH: Es ist möglich dass Dokumentation verfügbar wird in Deutsch. Fragen können sie auch stellen in Deutsch.
NEDERLANDS: Er is een kans dat documentatie beschikbaar wordt in het Nederlands. Vragen kunnen ook in het Nederlands gesteld worden.

At the time this is written there is even an online site translator (draft) accessible via our website for languages like French, German, Italian, Japanese, Korean, Portuguese and Spanish.


Register

 To register, simply go to our website and look for a register link. Then just follow instructions.
At the moment this is written we work with an intermediate company who is specialized in E-commerce solutions. They accept several payment methods like snail-mail, fax, phone and online with VISA.
Price (see website) includes the fee for intermediate company. Intermediate compan(y)(ie)s, prices and number of currencies can change in future.

Once registration accepted you will get your personal, registered, executable file of the last known version of this program by E-mail. Make sure your email system can receive a file as big as the size of the exe file. Exe-file for registered and unregistered version does not differ a lot. If your mail-system accepts files of 1MB then you should have no problems. Simply replace the unregistered file by this registered file in the installation directory.


Updates

Version history:
version 1.0, released May 2005
version 2.0, released October 2005
- option added to 'dummy' fill the twin files
version 2.2, released June 2013
- bug removed concerning nesting of destination folder